Passa al contenuto principale

IpAddressPaginatedListResponse

Successful response with a page of IpAddress

errorintegerrequired

Always 0 in a successful response

Constant value: 0
messagestring | nullnullablerequired

Always null in a successful response

data object[]required

Items of the page: an empty list beyond the last page

  • Array [
  • ip_address_idintegerrequired
    server_idinteger | nullnullablerequired

    Id of the server the IP address is assigned to (GET /api/v3/servers/{server_id}); null for the free IP addresses of a private cloud (GET /api/v3/servers/{server_id}/private-cloud/available-ip-addresses)

    ip_addressstringrequired
    reverse_dnsstring | nullnullablerequired

    Reverse DNS set on the IP address, changed with PATCH /api/v3/servers/{server_id}/ip-addresses/{ip_address_id}/rdns; null when it is not set

    reverse_dns_externalstring | nullnullablerequired

    Reverse DNS of the IP address as last read from its supplier; null when the supplier has none

    mac_addressstring | nullnullablerequired

    MAC address associated with the IP address, such as the virtual MAC of the supplier or the one of its network interface; null when there is none

    blocked_for_spambooleanrequired

    Whether the supplier blocked the IP address for spam

    activebooleanrequired

    Whether the IP address is active: false once it has been revoked or cancelled at the supplier

    availablebooleanrequired

    Whether the IP address can be used: an address that is not available, such as the gateway of its block, cannot be assigned to a network interface or to a virtual machine

    date_createddate-timenullablerequired
  • ]
  • meta objectrequired

    Pagination of the list

    totalintegerrequired

    Number of items in the whole list

    countintegerrequired

    Number of items in this page: 0 beyond the last page

    pagesintegerrequired

    Number of pages of the list

    pageintegerrequired

    Number of this page, starting from 1

    per_pageintegerrequired

    Maximum number of items in a page

    IpAddressPaginatedListResponse
    {
    "error": 0,
    "message": "string",
    "data": [
    {
    "ip_address_id": 0,
    "server_id": 0,
    "ip_address": "string",
    "reverse_dns": "string",
    "reverse_dns_external": "string",
    "mac_address": "string",
    "blocked_for_spam": true,
    "active": true,
    "available": true,
    "date_created": "2024-07-29T15:51:28.071Z"
    }
    ],
    "meta": {
    "total": 0,
    "count": 0,
    "pages": 0,
    "page": 0,
    "per_page": 0
    }
    }